Package org.eclipse.graphiti.ui.internal.parts

## Interface IShapeEditPart

All Superinterfaces:
  `IAnchorContainerEditPart`, `IConfigurationProviderHolder`, `IFeatureProviderHolder`, `IPictogramElementEditPart`

All Known Subinterfaces:
  `IContainerShapeEditPart`, `IDiagramEditPart`

All Known Implementing Classes:
  `ConnectionDecoratorEditPart`, `ContainerShapeEditPart`, `DiagramEditPart`, `ShapeEditPart`

    public interface IShapeEditPart
    extends IAnchorContainerEditPart

Window - Preferences - Java - Code Style - Code Templates.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `deleteChildAndRefresh​(org.eclipse.gef.EditPart childEditPart)` Delete child and refresh.

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IAnchorContainerEditPart

`refreshDecorators`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.config.IConfigurationProviderHolder

`getConfigurationProvider`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementEditPart

`getModelChildren, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate`

### Method Detail

#### deleteChildAndRefresh

    void deleteChildAndRefresh​(org.eclipse.gef.EditPart childEditPart)

Delete child and refresh.

Parameters:
  `childEditPart` - the child edit part